Moving the cursor to a ToC template jumps the cursor to the bottom of the page in Firefox
Closed, ResolvedPublic0 Story Points

Description

Steps to Reproduce

  1. Open https://www.mediawiki.org/w/index.php?title=Guide_to_Phlogiston_Reports&action=edit
  2. Press the down arrow button several times until the cursor moves out of the first paragraph and toward the Table of Contents template placeholder

Actual Results

  1. Cursor jumps to very bottom of page, scrolling the window.

Expected Result

  1. Cursor moves to line of templace placeholder, either before or after.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 15 2016, 4:17 AM
Esanders renamed this task from Moving the cursor to a ToC template jumps the cursor to the bottom of the page to Moving the cursor to a ToC template jumps the cursor to the bottom of the page in Firefox.Apr 16 2016, 7:44 PM
Esanders added a subscriber: Esanders.

Only happens in Firefox

Esanders added a comment.EditedApr 16 2016, 7:56 PM

This appears to happen when the rendering contains a <meta> tag.

Minimal failing case:

<p>Foo</p>
<div rel="ve:Alien"><meta></div>
{enough text to scroll}

We used to strip meta tags but they can be used for rendering: https://gerrit.wikimedia.org/r/#/c/172775/

I think the math extension was using them but then stopped. Maybe visible meta tags are more trouble than they are worth, and they should be banned? CCing Parsoid

ssastry triaged this task as Normal priority.Apr 26 2016, 3:30 PM
Jdforrester-WMF set the point value for this task to 0.Apr 28 2016, 1:21 AM
DLynch added a subscriber: DLynch.Dec 19 2017, 5:49 PM

<meta>'s still there, but the bug doesn't happen any more in Firefox. Could be a Firefox change, or it could be an incidental fix from some cursoring fixes we've made in the last few months.

Deskana closed this task as Resolved.Dec 20 2017, 9:38 AM
Deskana claimed this task.
Deskana added a subscriber: Deskana.

If this doesn't happen any more for whatever reason, then we can consider it resolved.

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptDec 20 2017, 9:38 AM

The issue of cursor jumping to the bottom of the page does not happen anymore. However, in Firefox the cursor still skips over the ToC template to the next paragraph instead of selecting it as it does in Chrome.